@media (max-width: 768px) {


.container {
    max-width: 1300px;
    margin: 0 auto;
    padding: 0 10px;
}

.code-card__body{
color: #fff;
}

.btn {
    padding: 15px 13px;
    border-radius: 12px;
    text-decoration: none;
    font-weight: 600;
    transition: all 0.3s ease;
    font-size: 15px;
}

  .hero__title { font-size: 25px; }
    .hero__wrapper { grid-template-columns: 1fr; text-align: center; }
    .hero__description { margin-left: auto; margin-right: auto; }
    .hero__actions { justify-content: center; }
    .hero__visual { order: -1; margin-bottom: 40px; }



.hero-btn {
    padding: 18px 18px;
    font-size: 14px;
}

.hero-title {
        font-size: 27px;
    }


    .hero-content-limit {
    max-width: 1300px;
    margin: 0 auto;
    width: 100%;
    padding: 0 15px;
    position: relative;
    z-index: 10;
}

.info-top {
    top: -30px;
    right: 0px;
    animation: float 4s infinite ease-in-out;
}

  .contact-wrapper {
        grid-template-columns: 1fr;
        padding: 10px;
        gap: 40px;
        border-radius: 5px;
    }
    .contact-info {
        text-align: center;
    }
    .contact-details {
        align-items: center;
    }

    .contact-info__title{
    font-size: 15px;
    }

    .contact-info__text {
    font-size: 14px;
    }

    .hero__description{
        font-size: 13px;
    }

    .services-grid {
        grid-template-columns: repeat(2, 1fr); 
        gap: 5px;
           
    }

    .service-card{
    padding: 10px;
    border-radius: 5px;
    }

.service-card h3{
font-size: 14px;
text-align: center;
}

.service-card p{
font-size: 12px;
        text-align: center;
}

.section-title h2{
font-size: 15px;
}

.service-card:hover {
    transform: translateY(0px);

}

.hero__wrapper {
  gap: 0px;
   
}


.stats-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .stats-grid {
   
    gap: 10px;
    text-align: center;
}

.stat-item {
    padding: 10px;
    transition: 0.3s;
}

.stat-item p{
font-size: 15px;
}

}